<% /*
     $Revision$
     $Id$

    File:               adresFilter.inc
    Description:        functies voor bedrijf suggest velden
                        filtcode  Beperkt de lijst met getoonde bedrijven
                                  'L': Filter op adressen van bestaande contracten
                                  'F': Filter op factuuradressen
                                  'O': Filter op opdrachtadressen
                                  'A': Filter op afleveradressen    Globals:
    Context:
    Note:								UNDER CONSTRUCTION
*/ %>


<%

function getFiltClauseAdres(pfiltcode, params)
{
  var lfiltClause = " AND m.mld_adres_verwijder IS NULL";
  if (pfiltcode && pfiltcode != "")
  {
    switch(pfiltcode)
    {
      case 'F':  lfiltClause += " AND m.mld_adres_factuuradres IS NOT NULL";
                 break;  
      case 'O':  lfiltClause += " AND m.mld_adres_opdrachtadres IS NOT NULL";
                 break;  
      case 'A':  lfiltClause += " AND m.mld_adres_afleveradres IS NOT NULL";
                 break;  
    }
  }

  if (params && params.locatie > 0)
	{
    lfiltClause += " AND m.alg_locatie_key = " + params.locatie;
	}
  
  if (params && params.autlevel > 0)
  {
    lfiltClause += " AND m.alg_locatie_key IN (SELECT alg_locatie_key FROM fac_v_my_locations"
                + "                             WHERE prs_perslid_key = " + user_key
                + "                               AND niveau = " + params.autlevel + ")";
  }
  return lfiltClause;
}

function getExtraInfadres(pextracode)
{
  var lExtraInf = ", 'Extra' extra";
  if (pextracode && pextracode != "")
  {
    switch(pextracode)
    {
      case 'P': lExtraInf = ", m.mld_adres_bezoek_postcode extra"; // nuttig?
                break;
    }
  }
  return lExtraInf;
}
%>
